#
# spec file for package qterm
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           qterm
Version:        0.7.4
Release:        1.10
Summary:        QTerm is BBS client
License:        GPL-2.0-or-later
Group:          System/X11/Terminals
Url:            https://github.com/qterm/qterm
Source0:        https://github.com/qterm/%{name}/archive/%{version}.tar.gz#./%{name}-%{version}.tar.gz
Source1:        qterm.desktop
#PATCH-FIX-UPSTREAM marguerite@opensuse.org - qcollectiongenerator has been merged into qhelpgenerator in Qt 5.12.0
Patch:          qterm-qt5qcollectiongenerator.patch
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(openssl)

%description
QTerm is a full featured BBS client written in Qt.

%prep
%setup -q
%patch -p1

%build
%cmake -DQT5=YES
%make_build

%install
%cmake_install
install -D -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/applications/
%fdupes -s %{buildroot}

%files
%{_datadir}/qterm
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/*.png
%{_bindir}/*

%changelog
* Sat May  8 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 0.7.4
  * No relevant changes
- Add information about upstream issue to
  qterm-qt5qcollectiongenerator.patch
* Sat Jan  5 2019 Marguerite Su <i@marguerite.su>
- fix tumbleweed build
- add qterm-qt5qcollectiongenerator.patch
  * qcollectiongenerator-qt5 has been merged into qhelpgenerator-qt5 in Qt 5.12.0
  * http://code.qt.io/cgit/qt/qttools.git/commit/?h=5.12&id=30a75f7f
* Sun Oct 14 2018 sean@suspend.net
- update to 0.7.3
- drop patches:
    qterm-fix-build-error.patch
* Tue Jun 19 2018 binli@opensuse.org
- Add patch: qterm-fix-build-error.patch
  * Fix build error.
* Mon Dec  4 2017 mimi.vx@gmail.com
- update to 0.7.2
- move to QT5 libraries
- drop patches:
    qterm-0.5.12-cmake-2.6.patch
    qterm-0.5.12-gcc-4.7.patch
    qterm-0.5.12-gcc6.patch
* Wed Nov 29 2017 dimstar@opensuse.org
- Replace openssl-devel BuildRequires with pkgconfig(openssl):
  Allow OBS to pick the right openSSL version based on the other
  pulled in dependencies.
* Fri Jun 24 2016 i@marguerite.su
- add patch: qterm-0.5.12-gcc6.patch
  * fix boo#985074
  * fix gcc6 narrowing conversion from char to unsigned char
    inside {}
* Fri Sep  4 2015 mpluskal@suse.com
- Use url for source
- Use cmake macros
- Use macros for updating desktop file and icon cache
- Use fdupes to replace duplicate files with symlinks
- Clenaup spec file with spec-cleaner
* Fri Dec 14 2012 bili@suse.com
- Add qterm-0.5.12-cmake-2.6.patch to build with cmake 2.6.x.
* Thu Mar 22 2012 aj@suse.de
- Fix build with gcc 4.7.
* Fri Sep 16 2011 bili@suse.com
- Upgrade to 0.5.12.
  - Finish the two new panel to make ANSI editing easier.
  - The new xml addressbook format is finally landed.
  - Improved the rendering result.
  - Implement the tranlucent background.
  - Some bugfixes as usual.
* Mon Aug 31 2009 coolo@novell.com
- do not hardcode buildroot values
* Fri Jun 19 2009 coolo@novell.com
- disable as-needed for this package as it fails to build with it
* Thu Mar 26 2009 xwhu@suse.de
- Fix compiler warning on nonPOD type (bnc#483172)
* Tue Mar 25 2008 xwhu@suse.de
- Initial import of qterm 0.5 serial
  - completely switch to cmake
  - port to qt4
  - upstream changelog no longer available
* Thu Jun 21 2007 adrian@suse.de
- fix changelog entry order
* Thu Jun  7 2007 sbrabec@suse.cz
- Fixed deskop file translation.
- Removed invalid desktop Category "Application" (#254654).
* Mon Mar 12 2007 xwhu@novell.com
- Explicitly cast QCString to const char* in qtermtelnet.cpp
* Thu Jun 22 2006 ro@suse.de
- remove selfprovides
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 15 2006 ro@suse.de
- change sequence in specfile
* Sun Jan 15 2006 xwhu@novell.com
- Minor fixes to meet the requirement of abuild system
* Sat Jan 14 2006 ro@suse.de
- fixed changelog again
* Wed Jan 11 2006 xwhu@novell.com
- Initial build of 0.4.0pre3
